Bug 5153 - CVT modeline calculator.
CVT modeline calculator.
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: * Other
git
All All
: lowest enhancement
Assigned To: Luc Verhaegen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 06:14 UTC by Luc Verhaegen
Modified: 2006-11-17 22:17 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Code, manpage and Makefile.am for cvt (20.99 KB, patch)
2005-11-25 06:16 UTC, Luc Verhaegen
no flags Details | Splinter Review
Add cvt to xserver/xorg/ build. (956 bytes, patch)
2005-11-25 06:18 UTC, Luc Verhaegen
no flags Details | Splinter Review
Code, manpage and Makefile.am for cvt. (21.01 KB, patch)
2005-12-24 04:41 UTC, Luc Verhaegen
no flags Details | Splinter Review
Code, manpage and Makefile.am for cvt. (21.15 KB, patch)
2005-12-27 02:05 UTC, Luc Verhaegen
no flags Details | Splinter Review
Tree side changes. (5.45 KB, patch)
2005-12-27 02:08 UTC, Luc Verhaegen
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Luc Verhaegen 2005-11-25 06:14:58 UTC
This is post-7.0 material, hence the low priority and such. Since we're only 2
weeks from the next release, i'm already working on the CVT modeline generation bit.

Attached will be a cvt command line modeline calculator, to be commited as soon
as  7.0 branches off and the modular tree has all files cped over for good. I'm
already attaching it now so that i can already be clubbed over the head for it.
Comment 1 Luc Verhaegen 2005-11-25 06:16:51 UTC
Created attachment 3897 [details] [review]
Code, manpage and Makefile.am for cvt

Links against dummylib.
To be put in xserver/xorg/hw/xfree86/utils.
Comment 2 Luc Verhaegen 2005-11-25 06:18:37 UTC
Created attachment 3900 [details] [review]
Add cvt to xserver/xorg/ build.
Comment 3 Luc Verhaegen 2005-12-24 04:41:07 UTC
Created attachment 4154 [details] [review]
Code, manpage and Makefile.am for cvt.

This fixes the incorrect xf86.h inclusion. The inclusion was external only and
required an (possibly different) X tree installed. Now it includes "xf86.h" and
../../xfree86/common/xf86.h is -Ied.
Comment 4 Luc Verhaegen 2005-12-27 02:05:36 UTC
Created attachment 4165 [details] [review]
Code, manpage and Makefile.am for cvt.

- Removes reduced keyword and modeflag: this can be detected by HBlank length.
- Allows only 60Hz modes for reduced blanking.
Comment 5 Luc Verhaegen 2005-12-27 02:08:32 UTC
Created attachment 4166 [details] [review]
Tree side changes.

This code adds what's needed for cvt to build to the configure.ac and the
xfree86/utils/Makefile.am.

This also adds a few warning fixes to xf86Config.c.

And it adds the ReducedBlanking option to Monitor subsection, reduced blanking
checking, etc.
Comment 6 Luc Verhaegen 2005-12-28 23:50:16 UTC
The gist from the xorg@list discussion, where only skk and benh were fielding
questions and raising concerns, seems to have boiled down with the following
conclusion:
- we do need to check for reduced blanking support (done).
- use an option (done).
- use the edid digital bit, with a few exceptions (todo).

I'm going to commit the cvt generator, with all the server side stuff in that
patch, but keep this bug open until the edid side stuff has been resolved too. I
will make this bug depend on #5386 until then.
Comment 7 Luc Verhaegen 2005-12-29 02:24:28 UTC
Comment on attachment 4165 [details] [review]
Code, manpage and Makefile.am for cvt.

Committed.
Comment 8 Luc Verhaegen 2005-12-29 02:25:05 UTC
Comment on attachment 4166 [details] [review]
Tree side changes.

Committed.
Comment 9 Tom Horsley 2006-11-17 09:50:15 UTC
Suggestion for next release: Now that this algorithm is part of the X source
code, could we build it into the xorg.conf parser so people can manually
specify mode data by providing resolution and refresh rate (you know, the
way they have wanted to for the last 20 years :-). Something like:

SensibleMode "1920x1080@57"
   ScreenWidth 1920
   ScreenHeight 1080
   RefreshRate 57
   ReducedBlanking yes
EndSensibleMode

To anyone who thinks manual intervention is no longer required, I direct
you to the host of Windows video setting tweakers on the net as proof that
not even Windows (the main market for all video driver developers) can't
get things to work automagically all the time.

If that isn't enough of an incentive to make it simpler to manually
intervene, you may feel my pain by reviewing my experiences:

http://home.att.net/~Tom.Horsley/easy-linux.html
Comment 10 Luc Verhaegen 2006-11-17 22:17:41 UTC
cvt was made global very silently. I doubt that anyone uses it except my edid
code. People just weren't told.

Whatever.